# Uses of Interface
javax.xml.crypto.dsig.SignatureProperty

Packages that use SignatureProperty
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of SignatureProperty in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return SignatureProperty
Modifier and Type
Method
Description
`abstract SignatureProperty`
XMLSignatureFactory.`newSignatureProperty(List<? extends XMLStructure> content, String target, String id)`
Creates a `SignatureProperty` containing the specified list of `XMLStructure`s, target URI and optional id.
Methods in javax.xml.crypto.dsig that return types with arguments of type SignatureProperty
Modifier and Type
Method
Description
`List<SignatureProperty>`
SignatureProperties.`getProperties()`
Returns an `unmodifiable list` of one or more `SignatureProperty`s that are contained in this `SignatureProperties`.
Method parameters in javax.xml.crypto.dsig with type arguments of type SignatureProperty
Modifier and Type
Method
Description
`abstract SignatureProperties`
XMLSignatureFactory.`newSignatureProperties(List<? extends SignatureProperty> properties, String id)`
Creates a `SignatureProperties` containing the specified list of `SignatureProperty`s and optional id.